/*
** Module   : IterableResource.java
** Abstract : interface which must be implemented iterable components such as Buffer or Frame 
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description---------------------------------
** 001 VIG 20140121 Created initial version.
*/
package com.goldencode.p2j.util;

/**
 * Defines an API for access to attributes and methods of iterable components such as Buffer or
 * Frame or Dialog.
 */
public interface IterableResource
{
   /**
    * Conversion of CURRENT-ITERATION attribute (KW_CUR_ITER).
    *
    * Getter of CURRENT-ITERATION attribute.
    *
    * @return current value of CURRENT-ITERATION attribute.
    */
   @LegacyAttribute(name = "CURRENT-ITERATION")
   public handle currentIteration();
}
